LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 09-05-2004, 06:32 PM   #1
minike
Member
 
Registered: Aug 2004
Location: Argentina
Distribution: slackware 12
Posts: 211

Rep: Reputation: 30
which libraries do I need to run blackbox??


hello...
my original question was how to run graphical apps in zipslack (only text-mode console). Some friends in here recommend me to install blackbox, but when I try to run it, it returns me this error message:
"Blackbox: error while loading shared libraries: libSM.so.6 cannot open shared object file: no such file or directory"
so, I looked around here and there, and discover that I need more than blackbox to run -4ex- a graphical browser... so, I downloades the next packages that are related in some way to a 'x enviroment':
nxvt.tgz; xterm.tgz(this last from freeBSD...here was not a xterm in slackware);
x11-xnest.tgz and espgs.tga;rxvt.tgz;
The fact is blackbox cannot start (the error message is always the same I wrote above)
..so...if that's arenīt the files I need to run blackbox... which EXATCLY files / package shoul I download to get lbackbox running??
thanks again
 
Old 09-05-2004, 07:24 PM   #2
Tinkster
Moderator
 
Registered: Apr 2002
Location: earth
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917
Any window-manager runs on top of X
XFree86 for Slack <10, Xorg for the newer
releases.

Just grab the respective files that match your
zipslack fom a slackserver that's close to you


x<branch>-<version>
x<branch>-devel-<version>
x<branch>-fonts-misc-<version>
x<branch>-fonts-scale-<version>


Cheers,
Tink
 
Old 09-05-2004, 11:05 PM   #3
gnashley
Amigo developer
 
Registered: Dec 2003
Location: Germany
Distribution: Slackware
Posts: 4,902

Rep: Reputation: 590Reputation: 590Reputation: 590Reputation: 590Reputation: 590Reputation: 590
I'd suggest fluxbox instead of blackbox. Nearly the same, but fluxbox is more actively developed.
You might have a look at my minimal install HOWTO's for tips. You need the X base package and X-fonts-misc to get X. FOr blackbox or fluxbox you'll also cxxlibs installed, since they are written in C++.
However, if you are planning to run firefox you are going to need LOTS more libs and packages, about 200MB or so.
 
Old 09-06-2004, 10:09 PM   #4
minike
Member
 
Registered: Aug 2004
Location: Argentina
Distribution: slackware 12
Posts: 211

Original Poster
Rep: Reputation: 30
ok, pals.... I'm traying to do something with all of this....
(I'll keep you informed.. )
thanks a lot!
 
Old 09-08-2004, 02:06 PM   #5
Tinkster
Moderator
 
Registered: Apr 2002
Location: earth
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917
And, how'd it go? :)


Cheers,
Tink
 
Old 09-08-2004, 03:45 PM   #6
WMD
Member
 
Registered: Jul 2004
Location: Florida
Distribution: Slackware, Debian
Posts: 484

Rep: Reputation: 30
Funny this thread exists...the description of the Slackware Blackbox package says "A light window manager without those pesky library dependencies" or something like that.

And here's a dependency problem with Blackbox.
 
Old 09-08-2004, 03:52 PM   #7
Cedrik
Senior Member
 
Registered: Jul 2004
Distribution: Slackware
Posts: 2,140

Rep: Reputation: 244Reputation: 244Reputation: 244
I think that is normal that a window manager require X libs, it is like gcc needs at least glibc in some sort.

Also libSM.so.6 is provided by the main x11 package, if you want X this is not an option, you have to install it.

Last edited by Cedrik; 09-08-2004 at 03:54 PM.
 
Old 09-08-2004, 07:48 PM   #8
Tinkster
Moderator
 
Registered: Apr 2002
Location: earth
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917
Quote:
Originally posted by WMD
Funny this thread exists...the description of the Slackware Blackbox package says "A light window manager without those pesky library dependencies" or something like that.

And here's a dependency problem with Blackbox. :D
Well, a window manager still runs on top of X,
which doesn't come with zipslack.
Neither does blackbox, by the way.


Cheers,
Tink
 
Old 09-08-2004, 10:19 PM   #9
minike
Member
 
Registered: Aug 2004
Location: Argentina
Distribution: slackware 12
Posts: 211

Original Poster
Rep: Reputation: 30
thanks to all , pals....
I need first to fix another questions before continuing with this .... but I'll tell you how it's goin
 
Old 09-08-2004, 10:51 PM   #10
gnashley
Amigo developer
 
Registered: Dec 2003
Location: Germany
Distribution: Slackware
Posts: 4,902

Rep: Reputation: 590Reputation: 590Reputation: 590Reputation: 590Reputation: 590Reputation: 590
All you need to add to zipslack to have X is the X base pkg and misc fonts. other than the X libs the only thing blackbox needs is cxxlibs. However firefox will need glib2, gtk2, and glibc(gtk2 needs it), plus quite a few small lib pkgs.
 
Old 09-10-2004, 02:36 PM   #11
minike
Member
 
Registered: Aug 2004
Location: Argentina
Distribution: slackware 12
Posts: 211

Original Poster
Rep: Reputation: 30
it's not working!!

I have downloaded and installed the x11 and the x11-misc_fonts, but blackbox (nor fluxbox) don't start!! (what a hell Is wrong??)
I've tryed to open it with the 'blackbox' command by itself, but the error message is -for both *box, always the same :

"failed to set locale, reverting to 'C'. BaseDisplay:: BaseDisplay: connection to X server failed "

Can anybody tell me what's going on?
thanks in advance.
 
Old 09-10-2004, 04:18 PM   #12
Cedrik
Senior Member
 
Registered: Jul 2004
Distribution: Slackware
Posts: 2,140

Rep: Reputation: 244Reputation: 244Reputation: 244
I assume you installed blackbox and X official slackware packages so config files are in good location.

try :
xorgconfig, if it is not already done
xwmconfig, then choose blackbox
startx
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
error: Blackbox requires the X Window System libraries and headers. Drogo Linux - Software 4 05-14-2006 06:10 AM
which libraries do I need to run firefox in console-mode? minike Slackware 3 09-05-2004 06:36 PM
Blackbox wont run OpenOffice mooreted Linux - Software 5 04-07-2004 10:24 AM
howto run blackbox in bash? ichbinesderelch Linux - Software 3 10-22-2003 12:45 PM
Can many glibc libraries in order to run old programs? Tommi Linux - General 2 04-24-2003 07:39 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration